Subject: bug#64200: Netsurf very frequently freezes when editing text (Harfbuzz issue?)

From: John Kehayias <[email-masked]>
Date: Thu, 29 Jun 2023 15:06:28 +0000

On Mon, Jun 26, 2023 at 04:16 AM, Csepp wrote:

> John Kehayias <[email-masked]> writes:
>
>> Dear Csepp,
>>
>> On Thu, Jun 22, 2023 at 12:00 AM, Csepp wrote:
>>
>>> So, I built Netsurf with --with-latest=harfbuzz, which also affected
>>> GTK+ and a bunch of other packages along the way, and it worked on my
>>> first attempt, just needed a stronger machine.
>>> I copied over the resulting Netsurf to my laptop and have been using it
>>> all day today, it seems to have shooed that bug away.
>>> (Don't squash bugs, bugs are good for the ecosystem. They are only a
>>> problem when they get inside your mainframe and cause a short. UwU)
>>> BTW there was no log when it caused my system to hang.  I had to reboot
>>> it with sysrq.  Probably a kernel bug?
>>>
>>> So it looks like Harfbuzz can be updated without any problem.
>>
>> Great, that's good to hear and a nontrivial test too! I'll await
>> comments on this mesa+friends update branch and plan on including the
>> harfbuzz update there. Stay tuned...
>>
>> John
>
> Well, now the bug is back somehow???  I haven't updated anything since
> then.  Didn't change fonts either.
> Still happens in a Harfbuzz call.

Ah, sorry to hear that, that's annoying! I'll be making the mesa
branch today, but not sure if I'll include harfbuzz. I have another
font related big change, so maybe best to have a separate branch for
those. In either case, guess this doesn't help your bug, sorry!

John